edu.ucsb.nceas.metacat.util

## Class OrganizationUtil

- java.lang.Object
- - edu.ucsb.nceas.metacat.util.OrganizationUtil

-     public class OrganizationUtil
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `areOrganizationsConfigured()` Reports whether LDAP is fully configured.
    `static java.util.Vector<java.lang.String>` | `getOrganizations()` gets a list of organization names from metacat.properties.
    `static java.util.Vector<java.lang.String>` | `getOrgDNs(java.lang.String orgName)` gets a list of organization names from metacat.properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getOrganizations

          public static java.util.Vector<java.lang.String> getOrganizations()
                                                                     throws MetacatUtilException

      gets a list of organization names from metacat.properties. Parses the csv string into a vector
      Returns:
        a Vector of Strings that hold all available organizations TODO MCD this should be retrieved from ldap instead of metacat.properties
      Throws:
        `MetacatUtilException`

    - #### getOrgDNs

          public static java.util.Vector<java.lang.String> getOrgDNs(java.lang.String orgName)
                                                              throws MetacatUtilException

      gets a list of organization names from metacat.properties. Parses the csv string into a vector
      Returns:
        a Vector of Strings that hold all available organizations
      Throws:
        `MetacatUtilException`

    - #### areOrganizationsConfigured

          public static boolean areOrganizationsConfigured()
                                                    throws MetacatUtilException

      Reports whether LDAP is fully configured.
      Returns:
        a boolean that is true if all sections are configured and false otherwise
      Throws:
        `MetacatUtilException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.